Bug 676370

Summary: When eject button is pressed -- Media is not unmounted
Product: [Fedora] Fedora Reporter: Kurian Thayil <kurianthayil>
Component: gnome-volume-managerAssignee: Orphan Owner <extras-orphan>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 14CC: exosyst, extras-orphan, harald, jcm, jonathan, kzak
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 09:12:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kurian Thayil 2011-02-09 11:35:32 EST
Description of problem:
I don't know if this is a problem and not sure this is happening only to me. But reporting what I faced. Im using an Acer Aspire 5740. I inserted a DVD and then I did hard-eject by pressing the DVD tray. But the media doesn't get un-mounted from the FS tree.

Version-Release number of selected component (if applicable):
F-14

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
When ejected from the tray button, the system should un-mount the media from the FS tree.

Additional info:
Comment 1 Karel Zak 2011-02-12 04:22:48 EST
The umount(8) command really umount filesystems only, it's not responsible to catch any event from your DVD tray. Reassigning to udev.
Comment 2 Kurian Thayil 2011-02-12 09:19:34 EST
Thanks Karel.

-Kurian
Comment 3 Harald Hoyer 2011-02-14 05:30:12 EST
(In reply to comment #0)
> Expected results:
> When ejected from the tray button, the system should un-mount the media from
> the FS tree.

Did you do that under any Desktop Environment? Gnome or KDE?
Comment 4 Kurian Thayil 2011-02-14 20:58:39 EST
Yes, GNOME.

-Kurian.
Comment 5 NickG 2011-05-04 17:41:03 EDT
I have the same situation. Pressing the physical button to eject the media caused the following output from dmesg.

[39528.397942] UDF-fs: Partition marked readonly; forcing readonly mount
[39528.472206] UDF-fs INFO UDF: Mounting volume 'MISS_CONGENIALITY', timestamp 2005/02/24 23:51 (103c)
[39528.473671] SELinux: initialized (dev sr0, type udf), uses genfs_contexts
[39534.401531] sr 4:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[39534.401539] sr 4:0:0:0: [sr0]  Sense Key : Illegal Request [current] 
[39534.401546] sr 4:0:0:0: [sr0]  Add. Sense: Read of scrambled sector without authentication
[39534.401561] sr 4:0:0:0: [sr0] CDB: Read(10): 28 00 00 02 ae d2 00 00 10 00
[39534.401574] end_request: I/O error, dev sr0, sector 703304
[39534.401579] Buffer I/O error on device sr0, logical block 175826
[39534.401584] Buffer I/O error on device sr0, logical block 175827
[39534.401588] Buffer I/O error on device sr0, logical block 175828
[39534.401592] Buffer I/O error on device sr0, logical block 175829
[39534.401595] Buffer I/O error on device sr0, logical block 175830
[39534.401599] Buffer I/O error on device sr0, logical block 175831
[39534.401603] Buffer I/O error on device sr0, logical block 175832
[39534.401607] Buffer I/O error on device sr0, logical block 175833
[39534.401610] Buffer I/O error on device sr0, logical block 175834
[39534.401614] Buffer I/O error on device sr0, logical block 175835
[39534.607088] sr 4:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[39534.607095] sr 4:0:0:0: [sr0]  Sense Key : Illegal Request [current] 
[39534.607108] sr 4:0:0:0: [sr0]  Add. Sense: Read of scrambled sector without authentication
[39534.607117] sr 4:0:0:0: [sr0] CDB: Read(10): 28 00 00 0a 7c 68 00 00 20 00
[39534.607128] end_request: I/O error, dev sr0, sector 2748832
[39534.610388] sr 4:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[39534.610394] sr 4:0:0:0: [sr0]  Sense Key : Illegal Request [current] 
[39534.610401] sr 4:0:0:0: [sr0]  Add. Sense: Read of scrambled sector without authentication
[39534.610415] sr 4:0:0:0: [sr0] CDB: Read(10): 28 00 00 0a 7c 88 00 00 40 00
[39534.610425] end_request: I/O error, dev sr0, sector 2748960
[39535.414322] sr 4:0:0:0: [sr0]  Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[39535.414330] sr 4:0:0:0: [sr0]  Sense Key : Illegal Request [current] 
[39535.414336] sr 4:0:0:0: [sr0]  Add. Sense: Read of scrambled sector without authentication
[39535.414345] sr 4:0:0:0: [sr0] CDB: Read(10): 28 00 00 0a 7c 78 00 00 02 00
[39535.414357] end_request: I/O error, dev sr0, sector 2748896
[39618.016074] ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[39618.016089] sr 4:0:0:0: CDB: Get event status notification: 4a 01 00 00 10 00 00 00 08 00
[39618.016119] ata5.00: cmd a0/00:00:00:08:00/00:00:00:00:00/a0 tag 0 pio 16392 in
[39618.016122]          res 40/00:03:00:00:10/00:00:00:00:00/a0 Emask 0x4 (timeout)
[39618.016130] ata5.00: status: { DRDY }
[39618.016145] ata5: hard resetting link
[39623.824266] ata5: failed to reset engine (errno=-5)
[39628.518267] ata5: softreset failed (1st FIS failed)
[39628.518280] ata5: hard resetting link
[39634.372265] ata5: failed to reset engine (errno=-5)
[39639.019263] ata5: softreset failed (1st FIS failed)
[39639.019276] ata5: hard resetting link
[39644.875266] ata5: failed to reset engine (errno=-5)
[39674.520413] ata5: softreset failed (1st FIS failed)
[39674.520427] ata5: limiting SATA link speed to 1.5 Gbps
[39674.520433] ata5: hard resetting link
[39680.070047] ata5: failed to reset engine (errno=-5)
[39680.223049] ata5: softreset failed (device not ready)
[39680.223059] ata5: reset failed, giving up
[39680.223067] ata5.00: disabled
[39680.223113] ata5: EH complete

First of all I tried to eject using Gnome - it told me it was 'Writing changes to disc'. Holding down eject finally spat out the disk but on reinserting the device didn't reappear and gave the hard resettting link errors above.

Happy to replicate under guidance. Preferably with a better DVD ;)
Comment 6 Fedora End Of Life 2012-08-16 09:12:26 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping